import os, sys, stat

from htmlhelpgen import *

project = HTMLHelpProject( "ProAKT Konfiguration", "default.htm" )

# sample code: generate html help tree --------------------------------------

file_index = 100
def walktree(dir,node):
    global file_index
    for f in os.listdir(dir):
        pathname = os.path.join(dir, f)
        mode = os.stat(pathname)[stat.ST_MODE]

        html_filename = os.path.join("T:\\","data%03d.htm" % file_index)
        file = open(html_filename,"w")
        print >>file, """<html><body><h2>%s</h2><p>(todo: add content of this file)</p></body></html>""" % pathname
        file.close()
        topic = f
        file_index += 1        

        if stat.S_ISDIR(mode):
            node.subjects.append( HTMLHelpNode(topic, html_filename) )
            walktree(pathname, node.subjects[-1] )
        elif stat.S_ISREG(mode):            
            node.subjects.append( HTMLHelpSubject(topic, html_filename) )
walktree("E:\\Java\\Jimi\\examples\\CodeExamples", project.root )

# generate HTML help files

project.Generate("T:\\")



